"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiCameraStreaming = void 0;
const unifi_streaming_delegate_1 = require("./unifi-streaming-delegate");
class UnifiCameraStreaming {
    static setupStreaming(cameraConfig, accessory, config, api, log) {
        cameraConfig.source = config.unifi.controller_rtsp + '/';
        cameraConfig.debug = config.unifi.debug;
        const streamingDelegate = new unifi_streaming_delegate_1.UnifiStreamingDelegate(cameraConfig.camera, log, api, cameraConfig, config.videoProcessor);
        accessory.context.id = cameraConfig.camera.id;
        accessory.context.motionEnabled = true;
        accessory.context.lastMotionId = null;
        accessory.context.lastMotionIdRepeatCount = 0;
        accessory.configureController(streamingDelegate.controller);
    }
}
exports.UnifiCameraStreaming = UnifiCameraStreaming;
//# sourceMappingURL=unifi-camera-streaming.js.map